PersistenceUnitInfo
Date: 2016-06-24

javax.persistence.spi

## Interface PersistenceUnitInfo

-     public interface PersistenceUnitInfo

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTransformer(ClassTransformer transformer)`
    `boolean` | `excludeUnlistedClasses()`
    `java.lang.ClassLoader` | `getClassLoader()`
    `java.util.List<java.net.URL>` | `getJarFileUrls()`
    `javax.sql.DataSource` | `getJtaDataSource()`
    `java.util.List<java.lang.String>` | `getManagedClassNames()`
    `java.util.List<java.lang.String>` | `getMappingFileNames()`
    `java.lang.ClassLoader` | `getNewTempClassLoader()`
    `javax.sql.DataSource` | `getNonJtaDataSource()`
    `java.lang.String` | `getPersistenceProviderClassName()`
    `java.lang.String` | `getPersistenceUnitName()`
    `java.net.URL` | `getPersistenceUnitRootUrl()`
    `java.lang.String` | `getPersistenceXMLSchemaVersion()`
    `java.util.Properties` | `getProperties()`
    `SharedCacheMode` | `getSharedCacheMode()`
    `PersistenceUnitTransactionType` | `getTransactionType()`
    `ValidationMode` | `getValidationMode()`

- - ### Method Detail

    - #### getPersistenceUnitName

          java.lang.String getPersistenceUnitName()

    - #### getPersistenceProviderClassName

          java.lang.String getPersistenceProviderClassName()

    - #### getTransactionType

          PersistenceUnitTransactionType getTransactionType()

    - #### getJtaDataSource

          javax.sql.DataSource getJtaDataSource()

    - #### getNonJtaDataSource

          javax.sql.DataSource getNonJtaDataSource()

    - #### getMappingFileNames

          java.util.List<java.lang.String> getMappingFileNames()

    - #### getJarFileUrls

          java.util.List<java.net.URL> getJarFileUrls()

    - #### getPersistenceUnitRootUrl

          java.net.URL getPersistenceUnitRootUrl()

    - #### getManagedClassNames

          java.util.List<java.lang.String> getManagedClassNames()

    - #### excludeUnlistedClasses

          boolean excludeUnlistedClasses()

    - #### getSharedCacheMode

          SharedCacheMode getSharedCacheMode()

    - #### getValidationMode

          ValidationMode getValidationMode()

    - #### getProperties

          java.util.Properties getProperties()

    - #### getPersistenceXMLSchemaVersion

          java.lang.String getPersistenceXMLSchemaVersion()

    - #### getClassLoader

          java.lang.ClassLoader getClassLoader()

    - #### addTransformer

          void addTransformer(ClassTransformer transformer)

    - #### getNewTempClassLoader

          java.lang.ClassLoader getNewTempClassLoader()